]> git.decadent.org.uk Git - dak.git/blobdiff - scripts/debian/byhand-task
generate-d-i: Do not hardcode suite ids.
[dak.git] / scripts / debian / byhand-task
index 8caf9422eafbeb2fa2e37ffde04d509e1c01ccf8..1fcccc088b50cfea7e2b64c44408b42f4333ae29 100755 (executable)
@@ -1,10 +1,17 @@
-#!/bin/sh -ue
+#!/bin/bash
+
+set -u
+set -e
+set -o pipefail
 
 if [ $# -lt 4 ]; then
         echo "Usage: $0 filename version arch changes_file"
         exit 1
 fi
 
+export SCRIPTVARS=/srv/ftp-master.debian.org/dak/config/debian/vars
+. $SCRIPTVARS
+
 INPUT="$1"      # Tarball to read, compressed with gzip
 VERSION="$2"
 ARCH="$3"
@@ -35,7 +42,7 @@ esac
 CHECKRE='^[a-z0-9A-Z.+-]+[[:space:]]+Task[[:space:]]+[a-z0-9:. ,{}+-]+$'
 
 # This must end with /
-TARGET=/srv/ftp.debian.org/scripts/external-overrides/
+TARGET=/srv/ftp-master.debian.org/scripts/external-overrides/
 
 # Read the main directory from the tarball
 DIR="`tar ztf \"$INPUT\" | tac | tail -n 1`"
@@ -58,7 +65,8 @@ mv "$OUTMAIN"           "$TARGET"task
 
 chmod 644 "$TARGET"task
 
-(cd $TARGET && ./mk-extra-overrides.sh)
+dak external-overrides import unstable main Task <"$TARGET"task
+dak external-overrides copy unstable testing
 
 trap - EXIT